
% don't use alpha beta gamma psi

var					
		ym1
        trend
        cycle;

varexo				
		e_tr				
		e_cyc			
        ;

parameters		
        drift
		phi
        sig_e_tr 
        sig_e_cyc
        ;

drift = 3/4; % 3 percent per year
phi		= 0.7;
% std of shocks
sig_e_tr=  .5; 
sig_e_cyc=   1; 


model(linear);
% trend
trend 		=    trend(-1)  + drift + e_tr;
% cycle
 cycle		=   phi*cycle(-1) + e_cyc;
% measurement eq-n
100*ym1		=    trend  +	cycle;
end;

steady_state_model;
 trend = 778.9; %775.9; %778.9; 
 cycle = 0; %3; % 0; 
 ym1 = 7.7890;
end;

steady(nocheck);

initval;
trend = 775.9;
cycle = 3;
ym1 = 7.7890;
end;

shocks;
var e_tr = sig_e_tr^2;
var e_cyc=sig_e_cyc^2;
end;


% estimated_params;

% 	phi,	.7,	beta_pdf,       0.7, 0.075;

% stderr	e_tr,	.5,	inv_gamma_pdf,  0.5, inf;
% stderr	e_cyc,	1,	inv_gamma_pdf,  1, inf;

% end;

varobs ym1;		

options_.console_mode=1; %(default: 0)

estimation	(datafile = lv_gdp_data, nodisplay, graph_format = pdf,
		nodiagnostic, diffuse_filter, 
%         kalman_algo = 1,
%         lik_init=2,
        mh_drop=.5,  mh_jscale=0.2, 
        mh_replic = 0, 
        mh_nblocks = 2, filtered_vars, smoother,
		mode_compute = 0, plot_priors = 1,
		forecast = 0
		) trend cycle;

%----------------------------------------------------------------
% 6. Reporting
%----------------------------------------------------------------

verbatim;

lv_gdp_data;
% if laplace only
% smoothed
eval([ 'trend_ 	= 778.9+oo_.SmoothedVariables.trend'   ';' ]);
eval([ 'cycle_ 	= 0 + oo_.SmoothedVariables.cycle'   ';' ]);

%filtered
eval([ 'trend_f 	= 778.9+ oo_.FilteredVariables.trend'   ';' ]);
eval([ 'cycle_f 	= 0+ oo_.FilteredVariables.cycle'   ';' ]);

% filtered cycle
plot(cycle_f);

end;



